#
# spec file for package rubygem-xdg
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-xdg
Version:        8.0.0
Release:        1.1
%define mod_name xdg
%define mod_full_name %{mod_name}-%{version}
# MANUAL
%define rb_build_versions     ruby33
%define rb_build_ruby_abis    ruby:3.3.0
# /MANUAL
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby => 3.3}
BuildRequires:  %{ruby < 4}
BuildRequires:  %{rubygem gem2rpm}
Url:            https://alchemists.io/projects/xdg
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A XDG Base Directory Specification implementation
License:        Hippocratic-2.1

%description
A XDG Base Directory Specification implementation.

%prep

%build

%install
%gem_install \
  -f

%gem_packages

%changelog
* Tue Jan 30 2024 Dan Čermák <dcermak@suse.com>
- New upstream release 8.0.0
  * Added demonstration script - Brooke Kuhlmann
  * Added environment string conversion - Brooke Kuhlmann
  * Added pair string casting - Brooke Kuhlmann
  * Added path objects string casting - Brooke Kuhlmann
  * Added version release notes - Brooke Kuhlmann
  * Updated Circle CI step names - Brooke Kuhlmann
  * Updated environment inspection - Brooke Kuhlmann
  * Updated gem dependencies - Brooke Kuhlmann
  * Updated pair inspection to include object type and ID - Brooke Kuhlmann
  * Updated path objects inspection to include object type and ID - Brooke Kuhlmann
  * Updated to Ruby 3.3.0 - Brooke Kuhlmann
  * Removed Gemfile code prefix from quality group - Brooke Kuhlmann
  * Removed Rakefile code prefix from quality task - Brooke Kuhlmann
  * Refactored directory and combined path specs to use same subject - Brooke Kuhlmann
  * Refactored pair method positions - Brooke Kuhlmann
* Tue Nov 28 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 7.1.3, no changelog found
* Wed Apr 19 2023 Marcus Rueckert <mrueckert@suse.de>
- updated to version 7.0.2
  - Updated Reek dependency to not be required - Brooke Kuhlmann
  - Updated site URLs to use bare domain - Brooke Kuhlmann
  - Updated to Caliber 0.25.0 - Brooke Kuhlmann
  - Updated to Ruby 3.2.1 - Brooke Kuhlmann
  - Refactored Pathname require tree refinement to pass single
    argument - Brooke Kuhlmann
  - Fixed Guardfile to use RSpec binstub - Brooke Kuhlmann
  - Added Rake binstub - Brooke Kuhlmann
  - Updated to Caliber 0.21.0 - Brooke Kuhlmann
  - Updated to Git Lint 5.0.0 - Brooke Kuhlmann
  - Updated to SimpleCov 0.22.0 - Brooke Kuhlmann
  - Refactored RSpec helper to use spec root constant - Brooke
    Kuhlmann
  - Fixed RuboCop Style/RequireOrder issues - Brooke Kuhlmann
  - Added RSpec binstub - Brooke Kuhlmann
  - Updated pair delimiter as global constant - Brooke Kuhlmann
  - Updated pair to be a data object instead of a struct - Brooke
    Kuhlmann
  - Updated to Debug 1.7.0 - Brooke Kuhlmann
  - Updated to RSpec 3.12.0 - Brooke Kuhlmann
  - Updated to Refinements 10.0.0 - Brooke Kuhlmann
  - Updated to Ruby 3.1.3 - Brooke Kuhlmann
  - Updated to Ruby 3.2.0 - Brooke Kuhlmann
* Fri Oct 28 2022 Stephan Kulow <coolo@suse.com>
- updated toversion 6.6.2
  no changelog found
* Mon Oct 10 2022 Stephan Kulow <coolo@suse.com>
- updated toversion 6.6.0
  no changelog found
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
- updated toversion 6.5.0
  no changelog found
* Thu Apr 28 2022 Stephan Kulow <coolo@suse.com>
- updated toversion 6.3.3
  no changelog found
* Wed Mar  2 2022 Dan Čermák <dcermak@suse.com>
- Restrict build to Ruby 3.1
- New upstream release 6.3.1
  == 6.3.1 (2022-03-03)
  * Fixed Hippocratic License to be 2.1.0 version - Brooke Kuhlmann
  * Fixed Rubocop RSpec issues with boolean and nil identity checks - Brooke Kuhlmann
  * Updated to Caliber 0.2.0 - Brooke Kuhlmann
  * Updated to Ruby 3.1.1 - Brooke Kuhlmann
  == 6.3.0 (2022-02-12)
  * Added Caliber - Brooke Kuhlmann
  * Updated to Git Lint 3.2.0 - Brooke Kuhlmann
  * Updated to RSpec 3.11.0 - Brooke Kuhlmann
  * Updated to Refinements 9.2.0 - Brooke Kuhlmann
  * Removed README badges - Brooke Kuhlmann
  == 6.2.0 (2022-01-30)
  * Added combined path splatting for dynamic home path - Brooke Kuhlmann
  * Removed gemspec safe defaults - Brooke Kuhlmann
  * Refactored cache, config, and data specs to splat environment variables - Brooke Kuhlmann
* Thu Feb 24 2022 Dominique Leuenberger <dimstar@opensuse.org>
- Regenerate spec file based on empty gem2rpm.yml: allow to build
  against Ruby 3.1.
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
- updated toversion 6.1.0
  no changelog found
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
- updated toversion 5.1.1
  no changelog found
* Thu Jan 21 2021 Stephan Kulow <coolo@suse.com>
- updated to version 5.1.0
  no changelog found
- limit to ruby 3.0 (as from upstream)
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 4.1.0
  no changelog found
* Fri Jul 19 2019 Stephan Kulow <coolo@suse.com>
- updated to version 3.0.1
  HISTORY.md removed upstream
* Mon Nov 27 2017 mrueckert@suse.de
- initial package
